Package org.pentaho.reporting.libraries.formula.parser

## Class GeneratedFormulaParser

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParser

- All Implemented Interfaces:
    `GeneratedFormulaParserConstants`
  Direct Known Subclasses:
    `FormulaParser`

      public abstract class GeneratedFormulaParser
      extends java.lang.Object
      implements GeneratedFormulaParserConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Token` | `jj_nt` | Next token.
    `Token` | `token` | Current token.
    `GeneratedFormulaParserTokenManager` | `token_source` | Generated Token Manager.

    - ### Fields inherited from interface org.pentaho.reporting.libraries.formula.parser.GeneratedFormulaParserConstants

      `APPROXIMATE_NUMERIC_LITERAL, BINARY_DIGIT, COLON, COLUMN_LOOKUP, COMMA, CONCAT, DEFAULT, DIGIT, DIV, DQUOTE, EOF, EQUALS, EXACT_NUMERIC_LITERAL, EXPONENT_PART, GT, GT_EQUALS, HEX_DIGIT, IDENTIFIER, L_BRACE, L_BRACKET, L_PAREN, LETTER, LT, LT_EQUALS, MANTISSA, MINUS, MULT, NEWLINE, NON_ZERO_DIGIT, NONQUOTE_CHARACTER, NONQUOTE_LOOKUP, NOT_EQUALS, NULL, PERCENT, PERIOD, PIPE, PLUS, POW, QUEST, QUOTE, R_BRACE, R_BRACKET, R_PAREN, SEMICOLON, SIGN, STRING_LITERAL, tokenImage, UNSIGNED_INTEGER, UNSIGNED_NUMERIC_LITERAL, WHITESPACE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneratedFormulaParser​(java.io.InputStream stream)` | Constructor with InputStream.
    `GeneratedFormulaParser​(java.io.InputStream stream, java.lang.String encoding)` | Constructor with InputStream and supplied encoding
    `GeneratedFormulaParser​(java.io.Reader stream)` | Constructor.
    `GeneratedFormulaParser​(GeneratedFormulaParserTokenManager tm)` | Constructor with generated Token Manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `disable_tracing()` | Disable tracing.
    `void` | `enable_tracing()` | Enable tracing.
    `ParseException` | `generateParseException()` | Generate ParseException.
    `LValue` | `getExpression()` |
    `InfixOperator` | `getInfixOperator()` |
    `LValue` | `getLValue()` |
    `Token` | `getNextToken()` | Get the next Token.
    `PostfixOperator` | `getPostfixOperator()` |
    `PrefixOperator` | `getPrefixOperator()` |
    `Token` | `getToken​(int index)` | Get the specific Token.
    `LValue` | `parseArray()` |
    `LValue` | `parseFunction​(java.lang.String name, ParsePosition parsePosition)` |
    `LValue[]` | `parseRow()` |
    `void` | `ReInit​(java.io.InputStream stream)` | Reinitialise.
    `void` | `ReInit​(java.io.InputStream stream, java.lang.String encoding)` | Reinitialise.
    `void` | `ReInit​(java.io.Reader stream)` | Reinitialise.
    `void` | `ReInit​(GeneratedFormulaParserTokenManager tm)` | Reinitialise.
    `Term` | `startTail​(LValue retval)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token_source

          public GeneratedFormulaParserTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### GeneratedFormulaParser

          public GeneratedFormulaParser​(java.io.InputStream stream)

      Constructor with InputStream.

    - #### GeneratedFormulaParser

          public GeneratedFormulaParser​(java.io.InputStream stream,
                                        java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### GeneratedFormulaParser

          public GeneratedFormulaParser​(java.io.Reader stream)

      Constructor.

    - #### GeneratedFormulaParser

          public GeneratedFormulaParser​(GeneratedFormulaParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### getExpression

          public final LValue getExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### startTail

          public final Term startTail​(LValue retval)
                               throws ParseException

      Throws:
        `ParseException`

    - #### getLValue

          public final LValue getLValue()
                                 throws ParseException

      Throws:
        `ParseException`

    - #### parseArray

          public final LValue parseArray()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### parseRow

          public final LValue[] parseRow()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### parseFunction

          public final LValue parseFunction​(java.lang.String name,
                                            ParsePosition parsePosition)
                                     throws ParseException

      Throws:
        `ParseException`

    - #### getPrefixOperator

          public final PrefixOperator getPrefixOperator()
                                                 throws ParseException

      Throws:
        `ParseException`

    - #### getPostfixOperator

          public final PostfixOperator getPostfixOperator()
                                                   throws ParseException

      Throws:
        `ParseException`

    - #### getInfixOperator

          public final InfixOperator getInfixOperator()
                                               throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit​(java.io.InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.InputStream stream,
                             java.lang.String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit​(java.io.Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit​(GeneratedFormulaParserTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken​(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.